<template>
  <div class="container centered">
    <h1>Ajouter un collaborateur</h1>
    <hr>
    <Form @send="addUser"/>
  </div>
</template>

<script>
import Form from "./Form";
import UserService from "../services/UserService";

export default {
  name: "Add",
  components: {
    Form
  },
  methods: {
    addUser: function(user) {
      // Le formulaire est valide, on prépare donc l'envoi des données au serveur
      UserService.addUser(user)
        .then(() => {
          // Redirige le visiteur vers la page de listing
          this.$router.replace("/list");
          this.$toasted.success("Collaborateur correctement ajouté 😉 !");
        })
        .catch(({ message }) => this.$toasted.error(message));
    }
  }
};
</script>

<style scoped>
</style>
